# BEGIN SourceDeps(oneline):
BuildRequires: perl(AlignDB/IntSpan.pm) perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define module_version 1.1.1
%define module_name AlignDB-Codon
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.1
Release: alt1
Summary: translate sequences and calculate Dn/Ds
Group: Development/Perl
License: perl
URL: https://github.com/wang-q/AlignDB-Codon

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WANGQ/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
AlignDB::Codon provides methods to translate sequences and calculate Dn/Ds with different codon
tables.

Some parts of this module are extracted from BioPerl to avoid the huge number of its dependencies.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/A*

%changelog
* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1
- initial import by package builder

